# Uses of Interface
com.databricks.jdbc.common.IDatabricksComputeResource

Packages that use IDatabricksComputeResource
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.internal
com.databricks.jdbc.common
com.databricks.jdbc.dbclient
com.databricks.jdbc.dbclient.impl.common
com.databricks.jdbc.dbclient.impl.sqlexec
com.databricks.jdbc.dbclient.impl.thrift

## Uses of IDatabricksComputeResource in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return IDatabricksComputeResource
Modifier and Type
Method
Description
`IDatabricksComputeResource`
ImmutableSessionInfo.`computeResource()`
`IDatabricksComputeResource`
SessionInfo.`computeResource()`
`IDatabricksComputeResource`
DatabricksConnectionContext.`getComputeResource()`
`IDatabricksComputeResource`
DatabricksSession.`getComputeResource()`
Methods in com.databricks.jdbc.api.impl with parameters of type IDatabricksComputeResource
Modifier and Type
Method
Description
`final ImmutableSessionInfo.Builder`
ImmutableSessionInfo.Builder.`computeResource(IDatabricksComputeResource computeResource)`
Initializes the value for the `computeResource` attribute.
`final ImmutableSessionInfo`
ImmutableSessionInfo.`withComputeResource(IDatabricksComputeResource value)`
Copy the current immutable object by setting a value for the `computeResource` attribute.

## Uses of IDatabricksComputeResource in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal that return IDatabricksComputeResource
Modifier and Type
Method
Description
`IDatabricksComputeResource`
IDatabricksConnectionContext.`getComputeResource()`
Returns warehouse-Id as parsed from JDBC connection Url
`IDatabricksComputeResource`
IDatabricksSession.`getComputeResource()`
Get the warehouse associated with the session.

## Uses of IDatabricksComputeResource in com.databricks.jdbc.common

Classes in com.databricks.jdbc.common that implement IDatabricksComputeResource
Modifier and Type
Class
Description
`class`
`AllPurposeCluster`
`class`
`Warehouse`

## Uses of IDatabricksComputeResource in com.databricks.jdbc.dbclient

Methods in com.databricks.jdbc.dbclient with parameters of type IDatabricksComputeResource
Modifier and Type
Method
Description
`ImmutableSessionInfo`
IDatabricksClient.`createSession(IDatabricksComputeResource computeResource, String catalog, String schema, Map<String,String> sessionConf)`
Creates a new session for given warehouse-Id, catalog and session.
`DatabricksResultSet`
IDatabricksClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
Executes a statement in Databricks server
`DatabricksResultSet`
IDatabricksClient.`executeStatementAsync(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
Executes a statement in Databricks server asynchronously

## Uses of IDatabricksComputeResource in com.databricks.jdbc.dbclient.impl.common

Constructors in com.databricks.jdbc.dbclient.impl.common with parameters of type IDatabricksComputeResource
Modifier
Constructor
Description
``
`SessionId(THandleIdentifier identifier, IDatabricksComputeResource computeResource)`
Constructs a SessionId identifier for a given Thrift Server session-Id
``
`SessionId(String sessionId, IDatabricksComputeResource warehouseId)`
Constructs a SessionId identifier for a given SQL Exec session-Id

## Uses of IDatabricksComputeResource in com.databricks.jdbc.dbclient.impl.sqlexec

Methods in com.databricks.jdbc.dbclient.impl.sqlexec with parameters of type IDatabricksComputeResource
Modifier and Type
Method
Description
`ImmutableSessionInfo`
DatabricksSdkClient.`createSession(IDatabricksComputeResource warehouse, String catalog, String schema, Map<String,String> sessionConf)`
`DatabricksResultSet`
DatabricksSdkClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
`DatabricksResultSet`
DatabricksSdkClient.`executeStatementAsync(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`

## Uses of IDatabricksComputeResource in com.databricks.jdbc.dbclient.impl.thrift

Methods in com.databricks.jdbc.dbclient.impl.thrift with parameters of type IDatabricksComputeResource
Modifier and Type
Method
Description
`ImmutableSessionInfo`
DatabricksThriftServiceClient.`createSession(IDatabricksComputeResource cluster, String catalog, String schema, Map<String,String> sessionConf)`
`DatabricksResultSet`
DatabricksThriftServiceClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
`DatabricksResultSet`
DatabricksThriftServiceClient.`executeStatementAsync(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`